# List fraud prevention list items

This method retrieves existing fraud prevention list items linked to the merchant's account.

Endpoint: POST /fraud-prevention-list-items/list
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Request fields (application/json):

  - `list_type` (string)
    Type of fraud prevention list, where pass indicates an allowlist and reject indicates a blocklist.
    Enum: "pass", "reject"

  - `payment_field_value` (object) — one of (discriminator: payment_field):
    Payment field and value to match against the fraud prevention list.
    - card_id:
      - `field_value` (string)
        Value of the payment field to match against the fraud prevention list.
    - cardholder:
      - `field_value` (string)
        Value of the payment field to match against the fraud prevention list.
    - customer_id:
      - `field_value` (string)
        Value of the payment field to match against the fraud prevention list.
    - customer_email:
      - `field_value` (string)
        Value of the payment field to match against the fraud prevention list.
    - ip_address:
      - `field_value` (string)
        Value of the payment field to match against the fraud prevention list.

  - `payment_field_value.payment_field` (string, required)
    Payment field to match against the fraud prevention list.
    Enum: "card_id", "cardholder", "customer_id", "customer_email", "ip_address"

  - `include_deleted` (boolean)
    Indicates whether to include deleted items in the response.


  If is not set, or set to false, only active items are returned.

  - `created_at_from` (string)
    Items created after datetime stated in UTC+0.
    Example: "2025-08-15 11:00:00"

  - `created_at_to` (string)
    Items created before datetime stated in UTC+0.
    Example: "2025-08-18 11:00:00"

  - `limit` (integer)
    Limit value indicates the maximum number of items to be returned.

  - `next_page_iterator` (string)
    Reference point for retrieving the next page of results


  If this value is null, it indicates that all available data has been successfully retrieved by the merchant.

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Success:
      - `items` (array, required)
        Fraud prevention list items.
      - `items.id` (string, required)
        Unique identifier of the fraud prevention list item.
      - `items.list_type` (string, required)
        Type of fraud prevention list, where pass indicates an allowlist and reject indicates a blocklist.
        Enum: same as `list_type` (2 values)
      - `items.payment_field` (string, required)
        Payment field to match against the fraud prevention list.
        Enum: same as `payment_field_value.payment_field` (5 values)
      - `items.field_value` (string, required)
        Value of the payment field to match against the fraud prevention list.


  Depending on the value provided in payment_field, the corresponding validation rules are enforced.
      - `items.created_at` (string)
        Creation date of the list item.
      - `items.expired_at` (string)
        Expiration date of the list item.


  If not provided, the item never expires.
      - `items.deleted_at` (string)
        Deletion date of the list item.


  If not provided, the item is not deleted.
      - `items.description` (string)
        Reason for adding this item to the list.
      - `items.created_by` (string)
        Email address of the user who created the list item.
      - `metadata` (object, required)
        Metadata object containing pagination and count information.
      - `metadata.next_page_iterator` (string, required)
        Reference point for retrieving the next page of results


  If this value is null, it indicates that all available data has been successfully retrieved by the merchant.
      - `metadata.count` (integer, required)
        Number of list rules on the page.
    - Authentication failed:
      - `error` (object, required)
        Error object.
      - `error.code` (string, required)
        Unauthorized access due to invalid credentials.
        Example: "1.01"
      - `error.messages` (array, required)
        Array of error messages applied to the decline payment.
        Example: ["Authentication failed"]
    - Error:
      - `error` (object, required) — one of (discriminator: code):
        Error object.
        - 2.01 Invalid data:
          - `messages` (array, required)
            Array containing messages that specify why the payment was declined due to validation errors.


  These messages can range from an incorrect card number to an invalid security code or billing address.
            Example: ["Invalid data"]
        - 2.01 Order not found:
          - `messages` (object, required)
            Object containing key-value pairs that clarify the reason for the payment decline, particularly in cases where the requested order does not exist.
        - 2.04 Card brand is not supported:
          - `messages` (array, required)
            Array containing messages that specify why the payment was declined due to unsupported card brand for incremental authorization.


  Supported card brands include American Express (Amex), Cartes Bancaires, Diners, Discover, JCB, Mastercard, Mexico Domestic (Network MX) and Visa.
            Example: ["Card brand is not supported"]
        - X.XX:
          - `messages` (array, required)
            Array containing either strings or objects that provide details about the error or status.


  When it is an array of strings, each string describes a separate issue. When it is an object, the object will contain key-value pairs explaining the issue in more detail.
          - `recommended_message_for_user` (string)
            Message with recommended next steps or additional information.
            Example: "The user’s card balance has insufficient funds."
      - `error.code` (string)
        Gateway error code for the declined payment.


